Bug 828080 - PRD34 - [RFE] Please allow to search in a case-insensitive manner from the search bar
PRD34 - [RFE] Please allow to search in a case-insensitive manner from the se...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.1.0
Unspecified Unspecified
high Severity medium
: ---
: 3.4.0
Assigned To: Oved Ourfali
Pavel Stehlik
ux
: FutureFeature, Reopened
: 1043022 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-04 04:20 EDT by lpeer
Modified: 2015-09-22 09 EDT (History)
14 users (show)

See Also:
Fixed In Version: ovirt-3.4.0-alpha1
Doc Type: Enhancement
Doc Text:
In versions previous to Red Hat Enterprise Virtualization 3.4, searches in the Administration Portal were case sensitive. Now, the search bar supports case insensitive searches.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-09 10:58:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1035309 None None None Never
oVirt gerrit 21213 None None None Never
oVirt gerrit 21214 None None None Never

  None (edit)
Description lpeer 2012-06-04 04:20:58 EDT
Description of problem:

The search mechanism used in the UI is case sensetive., this is a bad user experience (according to sasha and I agree).

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.
2.
3.
  
Actual results:
search should be case insensitive

Expected results:


Additional info:
Comment 1 Itamar Heim 2012-06-04 06:00:53 EDT
is this a regression from the WPF search in the UI?
(iirc, search has a flag if to perform case sensitive or not, and iirc, UI is supposed to be case in-sensitive)
Comment 2 lpeer 2012-06-04 08:01:25 EDT
I think this functionality changed when moving from ms-sql to postgres.

I see we have a way to configure case sensitivity in the code, in the search parameters the user can use SearchParameters.caseSensitive false (the default value is true).

I am moving this bug to the UI, for it to use case insensetive search.
Comment 3 Itamar Heim 2012-06-10 02:38:34 EDT
einav - iirc, we were supposed to have a checkbox if to make search case sensitive or not?
Comment 4 Einav Cohen 2012-06-12 00:48:26 EDT
(In reply to comment #3)
> einav - iirc, we were supposed to have a checkbox if to make search case
> sensitive or not?

You have suggested it a number of times in the past, however no decision was ever made on the matter AFAIK.
Livnat is right - this functionality was changed due to ms-sql-to-postgres migration. However, this is not a bug - the search is case sensitive by design since 3.0 (see Bug 710146).

I am turning this bug into an RFE for adding a "match case" check-box in the search.

* Note that turning search to case-insensitive is extremely bad when in tree-context, in case you have objects within the system that have the same name with a different case.
E.g. if I have DC "aaa" and DC "AAA", for case-insensitive search when standing on the "aaa" DC, results for "AAA" DC will also return, which is wrong - need to think about it.
Comment 5 Itamar Heim 2013-01-06 02:44:24 EST
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.
Comment 7 Oved Ourfali 2013-11-13 06:52:45 EST
The posted patches change the search to be case-insensitive, as it makes more sense and it is more user friendly. Adding another configuration for that would have made the UI more cumbersome and confusing.

This change brings up tree-related issues, as the tree searches are dependent on the case-sensitive name DCs and Clusters, thus in order to solve it, we now  prevens creating two DCs/Clusters with the same name but with different case.
Comment 8 Einav Cohen 2013-12-04 10:54:38 EST
As stated in Comment #7, the solution changes the GUI search to simply be case-insensitive (without adding a check-box or anything like that) -> changing subject accordingly.
Comment 9 Itamar Heim 2013-12-13 15:47:58 EST
*** Bug 1043022 has been marked as a duplicate of this bug. ***
Comment 10 Sandro Bonazzola 2014-01-14 03:43:08 EST
ovirt 3.4.0 alpha has been released
Comment 11 errata-xmlrpc 2014-06-09 10:58:00 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2014-0506.html

Note You need to log in before you can comment on or make changes to this bug.